from server.model.color import Color
from server.model.value import Value
from server.model.hands import pair, single, double_pair, brelan, full, carre, card

ACE_OF_HEARTS = card(Value.Ace, Color.Hearts)
ACE_OF_SPADES = card(Value.Ace, Color.Spades)
ACE_OF_DIAMONDS = card(Value.Ace, Color.Diamonds)
ACE_OF_CLUBS = card(Value.Ace, Color.Clubs)
PAIR_ACE = pair(Value.Ace)
SINGLE_ACE = single(Value.Ace)
DOUBLE_PAIR_ACE = double_pair(Value.Ace)
BRELAN_ACE = brelan(Value.Ace)
FULL_ACE = full(Value.Ace, Value.King)
CARRE_ACE = carre(Value.Ace)
